# Uses of Class
org.apache.sysds.runtime.instructions.spark.data.LineageObject

Packages that use LineageObject
Package
Description
org.apache.sysds.runtime.controlprogram.context
org.apache.sysds.runtime.instructions.spark.data

## Uses of LineageObject in org.apache.sysds.runtime.controlprogram.context

Methods in org.apache.sysds.runtime.controlprogram.context with parameters of type LineageObject
Modifier and Type
Method
Description
`static void`
SparkExecutionContext.`cleanupSingleLineageObject(LineageObject lob)`

## Uses of LineageObject in org.apache.sysds.runtime.instructions.spark.data

Subclasses of LineageObject in org.apache.sysds.runtime.instructions.spark.data
Modifier and Type
Class
Description
`class`
`BroadcastObject<T extends CacheBlock<?>>`
`class`
`DatasetObject`
`class`
`RDDObject`
Methods in org.apache.sysds.runtime.instructions.spark.data that return types with arguments of type LineageObject
Modifier and Type
Method
Description
`List<LineageObject>`
LineageObject.`getLineageChilds()`
Methods in org.apache.sysds.runtime.instructions.spark.data with parameters of type LineageObject
Modifier and Type
Method
Description
`void`
LineageObject.`addLineageChild(LineageObject lob)`